CREATE procedure [C6StagingPeriodico].[RP_ST_REP_S80_EVOL_STAMPA_C6]  
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_REP_S80_EVOL_STAMPA_C6',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.[RP_REP_S80_EVOL_STAMPA_C6]  
 INSERT INTO [C6StagingPeriodico].[RP_REP_S80_EVOL_STAMPA_C6]  
 SELECT  
  chiaveclientepb,  
  area,  
  ORDINE,  
  FASE,  
  DATA_FASE,  
  CONTROVALORE,  
  RISORSEALLOCATE,  
  RISORSENONALLOCATE,  
  CONTOCORRENTE,  
  INVESTIMENTIINCORSO,  
  VAR_PERC_PTF,  
  MAX_VAR,  
  COPERTURA,  
  PROFILO,  
  AGENTE,  
  CRISK,  
  CRISKMAX,  
  lineaself  
  --null AS lineaself  
 FROM [CONSUNI_PERIODICO].[consulenzaUnica].dbo.REP_S80_EVOL_STAMPA_C6  
 -- MODIFICA "TEMP" per GESTIONE CLASSE DI RISCHIO.  
 -- Vedi FoglioInterventi codice 1  
 -- Fc 14/01/2014   
 -- In Fase di Caricamento della tabella  C6STAGINGPERIODICO.S80_EVOL_STAMPA_C6 il valore del   
 -- Campo CRISK deve essere codificato a NULL se = a 5   
    -- FC START  
 update [C6StagingPeriodico].[RP_REP_S80_EVOL_STAMPA_C6]  
 set CRISK = Null  
 where crisk = 5;  
 -- FC END  
    -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_REP_S80_EVOL_STAMPA_C6' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_REP_S80_EVOL_STAMPA_C6'  
  )  
END